import { ChangeEvent } from 'react';
import { DataTypeSingle, FieldType } from '../types';
export interface useFieldsProps {
    name: string;
    fieldArray: Array<FieldType>;
}
export type useFieldsReturnType = {
    fields: Array<Array<{
        value: DataTypeSingle | undefined;
        reset: (value?: DataTypeSingle) => void;
        clean: () => void;
        name: string;
        onChange: (event: ChangeEvent<HTMLInputElement>) => void;
        type: 'text';
    }>>;
};
declare const useFields: <DataType extends DataTypeSingle>({ name, fieldArray: fieldArrayRaw, }: useFieldsProps) => useFieldsReturnType;
export default useFields;
