import { FormEvent } from 'react';
import { SchemaValidationType } from '../types/schema';
export interface useFormProps<DataType> {
    defaultValues: DataType;
    onSubmit: (data: DataType) => void;
    schema: Record<string, SchemaValidationType>;
    name?: string;
}
export type useFormReturnType<DataType> = {
    reset: (data?: DataType) => void;
    handleSubmit: (event: FormEvent<HTMLFormElement>) => void;
    validate: () => Promise<Record<keyof DataType, string>>;
    errors: Record<keyof DataType, string> | undefined;
};
declare const useForm: <DataType extends object>({ schema, defaultValues, onSubmit, }: useFormProps<DataType>) => useFormReturnType<DataType>;
export default useForm;
